## org.mariadb.jdbc.internal.io.socket
Class UnixDomainSocket.SockAddr

    java.lang.Object
      com.sun.jna.Structure
          org.mariadb.jdbc.internal.io.socket.UnixDomainSocket.SockAddr

Enclosing class:
  UnixDomainSocket

    public static class UnixDomainSocket.SockAddr

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.StructField`

Field Summary
`short` `sun_family`
`byte[]` `sun_path`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`UnixDomainSocket.SockAddr(String sunPath)` Contructor.

Method Summary
`protected List` `getFieldOrder()`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sun_family

    public short sun_family

### sun_path

    public byte[] sun_path

Constructor Detail

### UnixDomainSocket.SockAddr

    public UnixDomainSocket.SockAddr(String sunPath)

  Contructor.

  Parameters:
    `sunPath` - path

Method Detail

### getFieldOrder

    protected List getFieldOrder()

  Specified by:
    `getFieldOrder` in class `com.sun.jna.Structure`

Copyright © 2017. All rights reserved.